// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * Interface DAO
 * Description: Base Interface for DAOs (Data Access Objects)
 * <br><br>
 * Implementations of DAOs will define specific persistence-related operations for Domain Objects
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:39 $</dd></dl>
 */


import com.iwombat.foundation.DomainObject;

public interface DAO{
    
   /**
    * Returns a new instance of the appropriate domain Object
    *
    * @return the new domain object instance
    */
   public DomainObject createNew();
    
    
}
