// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * 
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */
import com.iwombat.foundation.Identifier;

public class TransactionToken {
   
    private Identifier tokenId;
    private long timeToLive;
    private long timeStarted;
    
    /** Creates a new instance of TransactionToken */
    protected TransactionToken(Identifier newTokenId, long newTimeToLive){
     
        this.setTokenId(newTokenId);
        this.setTimeToLive(newTimeToLive);
        setTimeStarted(System.currentTimeMillis());
    }
    
    private void setTokenId(Identifier newTokenId){
     
        this.tokenId=newTokenId;
    }
    
    public Identifier getTokenId(){
        return this.tokenId;
    }
    
    private void setTimeToLive(long newTimeToLive){
        this.timeToLive=newTimeToLive;
    }
    
    public long getTimeToLive(){
        return this.timeToLive;
    }
    
    public long getTimeStarted(){
        return this.timeStarted;
    }
    
    private void setTimeStarted(long newTimeStarted){
        this.timeStarted=newTimeStarted;
    }
    
    public boolean isExpired(){
        return (System.currentTimeMillis()>this.getTimeStarted()+this.getTimeToLive());
    }
}
