/*
 * StringIdentifierDomainObjectRdbmsDAO.java
 *
 */

package com.iwombat.foundation.persist;

/**
 *
 */
import com.iwombat.foundation.DomainObject;
import com.iwombat.foundation.Identifier;

public class StringIdentifierDomainObjectRdbmsDAO extends AbstractTransactionalDAO implements StringIdentifierDomainObjectDAO{
    
    /** Creates a new instance of StringIdentifierDomainObjectRdbmsDAO */
    public StringIdentifierDomainObjectRdbmsDAO() {
    }
    
    public void addStringIdentifierDomainObject(StringIdentifierDomainObject StringIdentifierDomainObject) {
        RdbmsDAOUtils.executeGenericPersistenceOperation(StringIdentifierDomainObject,this,StringIdentifierDomainObjectDAO.CREATE_StringIdentifier_DOMAIN_OBJECT);
    }
    
    public void deleteStringIdentifierDomainObject(StringIdentifierDomainObject StringIdentifierDomainObject) {
        RdbmsDAOUtils.executeGenericPersistenceOperation(StringIdentifierDomainObject,this,StringIdentifierDomainObjectDAO.DELETE_StringIdentifier_DOMAIN_OBJECT);
    }
    
    public StringIdentifierDomainObject getStringIdentifierDomainObjectById(Identifier id) {
        return (StringIdentifierDomainObject)RdbmsDAOUtils.executeGenericGetById(getDomainObjectImplementation(),id,this,StringIdentifierDomainObjectRdbmsDAO.GET_StringIdentifier_DOMAIN_OBJECT_BY_ID);
    }
    
    public void updateStringIdentifierDomainObject(StringIdentifierDomainObject StringIdentifierDomainObject) {
        RdbmsDAOUtils.executeGenericPersistenceOperation(StringIdentifierDomainObject,this,StringIdentifierDomainObjectDAO.UPDATE_StringIdentifier_DOMAIN_OBJECT);
    }
    
    public DomainObject createNew() {
        return new StringIdentifierDomainObjectImpl();
    }
    
    private Class getDomainObjectImplementation(){
        
        return StringIdentifierDomainObjectImpl.class;
        
    }
    
}
