// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * Class BeanMappable
 * Description: Describes something that can map to a bean property
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:39 $</dd></dl>
 */
public interface BeanMappable {
    
    /**
     * retrieves the bean property name
     * @return the bean property name
     */
    public String getBeanPropertyName();

    /**
     * sets the bean property name
     *
     * @param the bean property name to be mapped
     */
    public void setBeanPropertyName(String beanPropertyName);
}
