/*
 * ComprehensiveDomainObject.java
 *
 */

package com.iwombat.foundation.persist;

/**
 *
 */
import com.iwombat.foundation.DomainObject;
import com.iwombat.foundation.Identifier;
import com.iwombat.util.ByteArray;

import java.util.Date;

public interface ComprehensiveDomainObject extends DomainObject {
    
    public Identifier getIdentifierValue();
    public void setIdentifierValue(Identifier identifierValue);
    public Float getFloatValue();
    public void setFloatValue(Float floatValue);
    public Long getLongValue();
    public void setLongValue(Long longValue);
    public String getStringValue();
    public void setStringValue(String stringValue);
    public ByteArray getByteArrayValue();
    public void setByteArrayValue(ByteArray byteArrayValue);
    public Boolean getBooleanValue();
    public void setBooleanValue(Boolean booleanValue);
    public Date getDateValue();
    public void setDateValue(Date dateValue);
}
