/*
 * SaladShooterPersistence.java
 *
 */

package com.iwombat.ri.kitchentools.persistence;

/**
 *
 */
import com.iwombat.ri.kitchentools.SaladShooter;
import com.iwombat.foundation.Identifier;

import com.iwombat.foundation.persist.*;

import java.util.Collection;

public interface SaladShooterDAO extends TransactionalDAO{
    
    public void createSaladShooter(SaladShooter saladShooter);
    public SaladShooter getSaladShooterById(Identifier id);
    public void updateSaladShooter(SaladShooter saladShooter);
    public void deleteSaladShooter(SaladShooter saladShooter);
    public Collection getSaladShooterListByBrand(String brand);
}
